<template>
  <div>
    <el-form ref="blCopyForm" :model="blCopyObj" label-width="120px">
      <el-form-item label="提单Copy">
        <el-upload action="" :file-list="blCopyObj.fileList">
          <el-button size="small" type="primary">选择文件</el-button>
        </el-upload>
      </el-form-item>
    </el-form>
    <el-row class="operate-button">
      <el-button type="primary" @click="onSubmit">保存</el-button>
      <el-button type="success" @click="onSubmit">提交</el-button>
      <el-button @click="cancel">关闭</el-button>
    </el-row>
  </div>
</template>

<script>
/**
 * 提单copy
 */
export default {
  name: "blCopy",
  data() {
    return {
      // 提单copy对象
      blCopyObj: {
        fileList: [],
      },
    };
  },
  methods: {
    /** 提交 */
    onSubmit() {
      this.$refs["blCopyForm"].validate((valid) => {
        if (valid) {
          alert("submit!");
        }
      });
    },
    /** 取消 */
    cancel() {
      this.$emit("closeDialog");
    },
  },
};
</script>

<style lang="scss" scoped>
</style>
